libfuse: Data Fields - Variables

libfuse

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - a -

- access : fuse_lowlevel_ops, fuse_operations
- allocated : fuse_args
- argc : fuse_args
- argv : fuse_args
- attr : fuse_entry_param
- attr_timeout : fuse_config, fuse_entry_param
- auto_cache : fuse_config

### - b -

- backing_id : fuse_file_info
- bmap : fuse_lowlevel_ops, fuse_operations
- buf : fuse_bufvec

### - c -

- cache_readdir : fuse_file_info
- capable : fuse_conn_info
- capable_ext : fuse_conn_info
- chmod : fuse_operations
- chown : fuse_operations
- clone_fd : fuse_loop_config
- compat_flags : fuse_file_info
- congestion_threshold : fuse_conn_info
- copy_file_range : fuse_lowlevel_ops, fuse_operations
- count : fuse_bufvec
- create : fuse_lowlevel_ops, fuse_operations

### - d -

- destroy : fuse_lowlevel_ops, fuse_operations
- direct_io : fuse_config, fuse_file_info

### - e -

- entry_timeout : fuse_config, fuse_entry_param

### - f -

- fallocate : fuse_lowlevel_ops, fuse_operations
- fd : fuse_buf
- fh : fuse_file_info
- flags : fuse_buf, fuse_config, fuse_file_info
- flock : fuse_lowlevel_ops, fuse_operations
- flush : fuse_file_info, fuse_lowlevel_ops, fuse_operations
- fmask : fuse_config
- forget : fuse_lowlevel_ops
- forget_multi : fuse_lowlevel_ops
- fsync : fuse_lowlevel_ops, fuse_operations
- fsyncdir : fuse_lowlevel_ops, fuse_operations
- fuse : fuse_context

### - g -

- generation : fuse_entry_param
- getattr : fuse_lowlevel_ops, fuse_operations
- getlk : fuse_lowlevel_ops
- getxattr : fuse_lowlevel_ops, fuse_operations
- gid : fuse_context, fuse_ctx

### - h -

- hard_remove : fuse_config

### - i -

- idx : fuse_bufvec
- init : fuse_lowlevel_ops, fuse_operations
- ino : fuse_entry_param
- intr : fuse_config
- intr_signal : fuse_config
- ioctl : fuse_lowlevel_ops, fuse_operations

### - k -

- keep_cache : fuse_file_info
- kernel_cache : fuse_config

### - l -

- link : fuse_lowlevel_ops, fuse_operations
- listxattr : fuse_lowlevel_ops, fuse_operations
- lock : fuse_operations
- lock_owner : fuse_file_info
- lookup : fuse_lowlevel_ops
- lseek : fuse_lowlevel_ops, fuse_operations

### - m -

- max_background : fuse_conn_info
- max_idle_threads : fuse_loop_config
- max_read : fuse_conn_info
- max_readahead : fuse_conn_info
- max_threads : fuse_loop_config
- max_write : fuse_conn_info
- mem : fuse_buf
- mem_size : fuse_buf
- mkdir : fuse_lowlevel_ops, fuse_operations
- mknod : fuse_lowlevel_ops, fuse_operations

### - n -

- negative_timeout : fuse_config
- no_interrupt : fuse_conn_info
- no_rofd_flush : fuse_config
- noflush : fuse_file_info
- nonseekable : fuse_file_info
- nullpath_ok : fuse_config

### - o -

- off : fuse_bufvec
- offset : fuse_opt
- open : fuse_lowlevel_ops, fuse_operations
- opendir : fuse_lowlevel_ops, fuse_operations

### - p -

- padding : fuse_file_info
- parallel_direct_writes : fuse_config, fuse_file_info
- pid : fuse_context, fuse_ctx
- poll : fuse_lowlevel_ops, fuse_operations
- poll_events : fuse_file_info
- pos : fuse_buf
- private_data : fuse_context
- proto_major : fuse_conn_info
- proto_minor : fuse_conn_info

### - r -

- read : fuse_lowlevel_ops, fuse_operations
- read_buf : fuse_operations
- readdir : fuse_lowlevel_ops, fuse_operations
- readdir_ino : fuse_config
- readdirplus : fuse_lowlevel_ops
- readlink : fuse_lowlevel_ops, fuse_operations
- release : fuse_lowlevel_ops, fuse_operations
- releasedir : fuse_lowlevel_ops, fuse_operations
- remember : fuse_config
- removexattr : fuse_lowlevel_ops, fuse_operations
- rename : fuse_lowlevel_ops, fuse_operations
- request_timeout : fuse_conn_info
- reserved : fuse_config, fuse_conn_info
- retrieve_reply : fuse_lowlevel_ops
- rmdir : fuse_lowlevel_ops, fuse_operations

### - s -

- set_gid : fuse_config
- set_mode : fuse_config
- set_uid : fuse_config
- setattr : fuse_lowlevel_ops
- setlk : fuse_lowlevel_ops
- setxattr : fuse_lowlevel_ops, fuse_operations
- show_help : fuse_config
- size : fuse_buf
- statfs : fuse_lowlevel_ops, fuse_operations
- statx : fuse_lowlevel_ops, fuse_operations
- symlink : fuse_lowlevel_ops, fuse_operations

### - t -

- templ : fuse_opt
- time_gran : fuse_conn_info
- tmpfile : fuse_lowlevel_ops
- truncate : fuse_operations

### - u -

- uid : fuse_context, fuse_ctx
- umask : fuse_context, fuse_ctx
- unlink : fuse_lowlevel_ops, fuse_operations
- use_ino : fuse_config
- utimens : fuse_operations

### - v -

- value : fuse_opt

### - w -

- want : fuse_conn_info
- want_ext : fuse_conn_info
- write : fuse_lowlevel_ops, fuse_operations
- write_buf : fuse_lowlevel_ops, fuse_operations
- writepage : fuse_file_info